Package io.vertx.grpc.reflection.v1

## Class ErrorResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessage.Builder<ErrorResponse.Builder>
      - - io.vertx.grpc.reflection.v1.ErrorResponse.Builder

- All Implemented Interfaces:
    `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ErrorResponseOrBuilder`, `Cloneable`
  Enclosing class:
    ErrorResponse

      public static final class ErrorResponse.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<ErrorResponse.Builder>
      implements ErrorResponseOrBuilder

       The error code and error message sent by the server when an error occurs.

  Protobuf type `grpc.reflection.v1.ErrorResponse`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ErrorResponse` | `build()` |
    `ErrorResponse` | `buildPartial()` |
    `ErrorResponse.Builder` | `clear()` |
    `ErrorResponse.Builder` | `clearErrorCode()` | This field uses the error codes defined in grpc::StatusCode.
    `ErrorResponse.Builder` | `clearErrorMessage()` | `string error_message = 2;`
    `ErrorResponse` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
    `int` | `getErrorCode()` | This field uses the error codes defined in grpc::StatusCode.
    `String` | `getErrorMessage()` | `string error_message = 2;`
    `com.google.protobuf.ByteString` | `getErrorMessageBytes()` | `string error_message = 2;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `ErrorResponse.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `ErrorResponse.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
    `ErrorResponse.Builder` | `mergeFrom​(ErrorResponse other)` |
    `ErrorResponse.Builder` | `setErrorCode​(int value)` | This field uses the error codes defined in grpc::StatusCode.
    `ErrorResponse.Builder` | `setErrorMessage​(String value)` | `string error_message = 2;`
    `ErrorResponse.Builder` | `setErrorMessageBytes​(com.google.protobuf.ByteString value)` | `string error_message = 2;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.Message.Builder

      `mergeDelimitedFrom, mergeDelimitedFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<ErrorResponse.Builder>`

    - #### clear

          public ErrorResponse.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<ErrorResponse.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<ErrorResponse.Builder>`

    - #### getDefaultInstanceForType

          public ErrorResponse getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public ErrorResponse build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public ErrorResponse buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public ErrorResponse.Builder mergeFrom​(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ErrorResponse.Builder>`

    - #### mergeFrom

          public ErrorResponse.Builder mergeFrom​(ErrorResponse other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<ErrorResponse.Builder>`

    - #### mergeFrom

          public ErrorResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                          throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ErrorResponse.Builder>`
      Throws:
        `IOException`

    - #### getErrorCode

          public int getErrorCode()

           This field uses the error codes defined in grpc::StatusCode.

      `int32 error_code = 1;`
      Specified by:
        `getErrorCode` in interface `ErrorResponseOrBuilder`
      Returns:
        The errorCode.

    - #### setErrorCode

          public ErrorResponse.Builder setErrorCode​(int value)

           This field uses the error codes defined in grpc::StatusCode.

      `int32 error_code = 1;`
      Parameters:
        `value` - The errorCode to set.
      Returns:
        This builder for chaining.

    - #### clearErrorCode

          public ErrorResponse.Builder clearErrorCode()

           This field uses the error codes defined in grpc::StatusCode.

      `int32 error_code = 1;`
      Returns:
        This builder for chaining.

    - #### getErrorMessage

          public String getErrorMessage()

      `string error_message = 2;`
      Specified by:
        `getErrorMessage` in interface `ErrorResponseOrBuilder`
      Returns:
        The errorMessage.

    - #### getErrorMessageBytes

          public com.google.protobuf.ByteString getErrorMessageBytes()

      `string error_message = 2;`
      Specified by:
        `getErrorMessageBytes` in interface `ErrorResponseOrBuilder`
      Returns:
        The bytes for errorMessage.

    - #### setErrorMessage

          public ErrorResponse.Builder setErrorMessage​(String value)

      `string error_message = 2;`
      Parameters:
        `value` - The errorMessage to set.
      Returns:
        This builder for chaining.

    - #### clearErrorMessage

          public ErrorResponse.Builder clearErrorMessage()

      `string error_message = 2;`
      Returns:
        This builder for chaining.

    - #### setErrorMessageBytes

          public ErrorResponse.Builder setErrorMessageBytes​(com.google.protobuf.ByteString value)

      `string error_message = 2;`
      Parameters:
        `value` - The bytes for errorMessage to set.
      Returns:
        This builder for chaining.